/**
 * 
 */
package com.goldencode.p2j.persist;

/**
 * @author ecf
 *
 */
enum ConversionProfile
{
   P2O("schema/p2o", false),
   HIBERNATE("schema/hibernate", false),
   JAVA_DMO("schema/java_dmo", false),
   ANNOTATIONS("annotations/annotations", true),
   BASE_STRUCTURE("convert/base_structure", true),
   CORE_CONVERSION("convert/core_conversion", true),
   BREW("convert/brew", false),
   FIX_FIND("convert/fix_in_mem_find_query", false),
   FIX_QUERY("convert/fix_in_mem_query", false);
   
   /** Profile name */
   private final String name;
   
   /** Flag indicating whether conditional rule-set processing should be enabled */
   private final boolean conditional;
   
   /**
    * Constructor.
    * 
    * @param   name
    *          Profile name.
    * @param   conditional
    *          Flag indicating whether conditional rule-set processing should be enabled.
    */
   private ConversionProfile(String name, boolean conditional)
   {
      this.name = name;
      this.conditional = conditional;
   }
   
   /**
    * Get the string representation of this enum value.
    * 
    * @return  String representation.
    */
   public String toString()
   {
      return name;
   }
   
   /**
    * Get the profile name.
    * 
    * @return  Profile name.
    */
   String getName()
   {
      return name;
   }
   
   /**
    * Get the conditional flag.
    * 
    * @return  Conditional flag.
    */
   boolean isConditional()
   {
      return conditional;
   }
}
